[RTEX] Debian 10 - Buster - netinst - amd64 - Jeedom V4

Tags: #<Tag:0x00007f3851f75c98> #<Tag:0x00007f3851f75bd0>

Bonjour Rocket,

En effet, information utile pour qui veut installer la V4-stable directe.

La première partie du post à été écrite avant la sortie de la V4-stable.

Donc ce qui est décrit dans la 2ième partie c’est une mise à jour V3 vers V4.

Cette méthode est utile pour ceux qui veulent faire une restauration V3 avant de passer en V4.

—EDIT 10/10/2019—
/!\ ATTENTION : les scripts d’installation de Jeedom /master/install/install.sh et /V4-stable/install/install.sh sont maintenant identiques. Voir le premier post pour plus de détails.

akenad :slight_smile:

exact :wink: merci à toi !

Bonjour,
J’ai essayé cette installation en VM sous buster avec directement une install V4 avec:
wget https://raw.githubusercontent.com/jeedom/core/v4-stable/install/install.sh

mais j’ai une erreur 404

essaye wget https://raw.githubusercontent.com/jeedom/core/V4-stable/install/install.sh

V4 majuscule

Merci, ça marche ! :blush:

Bonsoir,
J’ai essayé la procédure qui fonctionne sans problème. Après reprise sous Buster d’un backup qui tourne sur ma VM Jeedom V4 en debian9; j’ai les plugin APC et XeeCloud qui ne fonctionnent plus… Va donc falloir attendre…
Bon courage aux développeurs !

1 J'aime

Merci pour le tuto, je vais checker mon installation car je suis aussi sous Debian 10 Buster et la seule limitation était de faire l’installation avec les droits admin root.
Du coup j’ai aussi remarqué que j’étais en V3, je vais tenter la V4 sur une autre VM.

Je ne suis pas sur de comprendre, la V4 est officiellement sortie ou ça reste de la realase canditate donc pas stable ?

En fait elle est officiel mais faut passé par la realase candidate

Ha ben d’accord, même pas une belle annonce :stuck_out_tongue:

En fait ça installe la v4 si on utilise

wget https://raw.githubusercontent.com/jeedom/core/master/install/install.sh

je suppose que la master n’est plus la v3 mais la v4.

What :astonished: La master est bien la V3 Stable !

curieux ça m’installe la v4

C’est normal par defaut maintenant c’est la v4 qui est installé

Mea culpa j’avais zappé ce point !

La banche master est bel et bien la V3 mais le script d’install va cherche la V4 :wink:

si je veux d’abord installer la v3 pour tester ma config avant de la migrer en v4 il faut que j’utilise

 wget https://raw.githubusercontent.com/jeedom/core/stablev3/install/install.sh

?
edit : ça n’est pas clair ce que j’ai ecrit.
Mon jeedom est sur une vm stretch en version 3.3.33.
Je veux tester que ma config va marcher en V4 et buster.
1- je cree et installe une vm buster
2- j’installe jeedom v3
3- je restaure un backup V3
4- je change la version du core dans l’onglet des maj pour v4 et fait la maj zt la migration devrait être ok. Plus qu’à tester (notamment certains widgets et plugins non officiels

Suis-je à côté de la plaque ?

Je pense pas, dans le sh:
VERSION=master

et master va aller chercher la v4

sinon ./install.sh -v master

Bonjour @Loic,

J’ai mis à jour le 1er post en conséquence.

akenad :slight_smile:

Bonsoir tout le monde
hou la la …que c’est …embrouillant pour pas dire compliqué…
Je vais attendre un peu que la procedure soit plus simple !!!
(je ferai peut etre un essai sur une vm de test… )